# pure.pc: pkg-config info to link modules against the Pure runtime library.

# Installation paths set at configure time.

prefix=/usr/local
exec_prefix=${prefix}
libdir=${exec_prefix}/lib
includedir=${prefix}/include

# LLVM tool prefix set at configure time.
tool_prefix=

# Extra libraries required for static linking. These flags pull in any shared
# libraries that libpure was linked against. They will be added if pkg-config
# is invoked with --static --libs. (Usually you shouldn't have to worry about
# this, since at present the runtime can't be linked as a separate static
# library anyway.)

extralibs=-L/usr/local/lib -lLLVM-3.1 -L/usr/local/lib  -lpthread -lm  -liconv -lm -lmpfr -lgmp  -L/usr/local/lib -lgmp

# Shared library extension and platform-specific extra compilation and linker
# flags required for building shared modules. These are useful for figuring
# out how to build Pure modules on the host platform. (These variables aren't
# actually used below, but are provided for convenience so that they can be
# queried in module Makefiles using pkg-config's --variable option.)

DLL=.so
shared=-shared
PIC=
extraflags=${shared} ${PIC}

Name: Pure
Description: Pure runtime library
Version: 0.55
URL: http://pure-lang.googlecode.com
Libs: -L${libdir} -lpure
Libs.private: ${extralibs}
Cflags: -I${includedir}
